Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Leonidas_S_1
Beginner
158 Views

create an Apple iOS cert request , and proceed create new provisioning profiles

XDK Cordova builds deprecated

as is now can create an Apple iOS cert request , and proceed create new provisioning profiles? My iOS cert expired what to do... i still use xdk cordova

Tags (2)
0 Kudos
17 Replies
PaulF_IntelCorp
Employee
158 Views

You cannot create any new iOS certificates with the XDK. I recommend you follow the instructions for creating a cert on the PhoneGap Build page > http://docs.phonegap.com/phonegap-build/signing/ios/ < to create some new iOS certs. We have disabled the ability to create and add new certs in the XDK build system because that build system will be disabled in about a week. See the release notes for more details > https://software.intel.com/en-us/xdk/docs/release-notes-information-intel-xdk <

Leonidas_S_
New Contributor I
158 Views

I got below from Apple itunesconnect@apple.com . what have to do - I am using Phonegap Build ... how do this?

Dear developer,

We have discovered one or more issues with your recent delivery for "Polis Cyprus". To process your delivery, the following issues must be corrected:

Missing Info.plist key - This app attempts to access privacy-sensitive data without a usage description. The app's Info.plist must contain an NSCalendarsUsageDescription key with a string value explaining to the user how the app uses this data.

Once these issues have been corrected, you can then redeliver the corrected binary.

Regards,

The App Store team

 

PaulF_IntelCorp
Employee
158 Views

I would expect there is a variable that needs to be set for whatever plugin you are using that is attempting to access that data. However, I cannot be certain. I recommend you search the StackOverflow PhoneGap threads and the PhoneGap forum for some help with how to update your info.plist file. You should also check with the plugin author regarding how to do this, since I don't know what plugin is causing this, I cannot point to that repo.

Leonidas_S_
New Contributor I
158 Views

here are the plugins.... well?

<access origin="*"/>
<preference name="phonegap-version" value="cli-6.0.0" />
<preference name="xwalkMultipleApk" value="false" />
<plugin name="cordova-plugin-statusbar" spec="2.1.0"/>
<plugin name="cordova-plugin-device" spec="1.1.1"/>
<plugin name="cordova-plugin-splashscreen" spec="3.2.0"/>
<plugin name="cordova-plugin-inappbrowser" spec="1.3.0"/>
<plugin name="cordova-plugin-contacts" spec="2.0.1"/>
<plugin name="cordova-plugin-geolocation" spec="2.1.0"/>
<plugin name="cordova-plugin-dialogs" spec="1.2.0"/>
<plugin name="cordova-plugin-network-information" spec="1.2.0"/>
<plugin name="cordova-plugin-x-socialsharing" spec="5.0.12"/>
<plugin name="cordova-plugin-google-analytics" spec="0.8.1"/>
<plugin name="cordova-plugin-admobpro" spec="2.16.1"/>
<plugin name="cordova-plugin-extension" spec="1.5.1"/>
<plugin name="cordova-plugin-whitelist" spec="1.2.2"/>
<platform  name="ios">

 

PaulF_IntelCorp
Employee
158 Views

I suspect it's in one of these, you'll have to look more closely at the plugin.xml file for each one to see if it is trying to update the plist file:

<plugin name="cordova-plugin-contacts" spec="2.0.1"/>
<plugin name="cordova-plugin-x-socialsharing" spec="5.0.12"/>
<plugin name="cordova-plugin-google-analytics" spec="0.8.1"/>
<plugin name="cordova-plugin-admobpro" spec="2.16.1"/>
<plugin name="cordova-plugin-extension" spec="1.5.1"/>

If you search for each plugin in the Cordova plugin registry, you'll find a link in the plugin description to the Git repo. In that Git repo you can inspect the plugin more closely and read the documentation. For example:

You may have to search for some help on how to set that string when using PhoneGap Build, I do not know the solution for that, but this should get you headed in the right direction.

Leonidas_S_
New Contributor I
158 Views

May be is this >>>  // how pass a var in plugin install in Phonegap build???  (https://github.com/apache/cordova-plugin-contacts)

iOS Quirks

Since iOS 10 it's mandatory to add a NSContactsUsageDescription entry in the info.plist.

NSContactsUsageDescription describes the reason that the app accesses the user’s contacts. When the system prompts the user to allow access, this string is displayed as part of the dialog box. To add this entry you can pass the variable CONTACTS_USAGE_DESCRIPTION on plugin install.

Example: cordova plugin add cordova-plugin-contacts --variable CONTACTS_USAGE_DESCRIPTION="your usage message"

If you don't pass the variable, the plugin will add an empty string as value.

 

 

Leonidas_S_
New Contributor I
158 Views

https://developer.apple.com/library/content/qa/qa1937/_index.html

review here - How build a Info.plist  --- from Xcode ... ? I use Phonagap build and text editor Not IDE

 

PaulF_IntelCorp
Employee
158 Views

I suspect you'll need to modify your config.xml file using what's described here > http://docs.phonegap.com/phonegap-build/configuring/config-file-element/ < or, even simpler, searching the Adobe PhoneGap Build forums this technique should work > https://forums.adobe.com/message/9292783#9292783 < meaning something like this in the config.xml should do it:

<plugin name="cordova-plugin-contacts" spec="2.0.1" >
    <variable name="CONTACTS_USAGE_DESCRIPTION" value="Your usage description here." />
</plugin>

 

Leonidas_S_
New Contributor I
158 Views

I DID BUT SAME MESSAGE saying for calendars and not contacts... well?

Dear developer,

We have discovered one or more issues with your recent delivery for "Polis Cyprus". To process your delivery, the following issues must be corrected:

Missing Info.plist key - This app attempts to access privacy-sensitive data without a usage description. The app's Info.plist must contain an NSCalendarsUsageDescription key with a string value explaining to the user how the app uses this data.

Once these issues have been corrected, you can then redeliver the corrected binary.

Regards,

The App Store team

PaulF_IntelCorp
Employee
158 Views

Don't know which plugin (if any) is causing that. You'll have to do some research, using the procedure I outlined in this post > https://software.intel.com/en-us/forums/intel-xdk/topic/737757#comment-1909068 < but you may have to expand the search to all of your plugins. Find the git repo that contains the plugins, inspect the README and the plugin.xml file to see if there is a reference to the Calendars Usage key, if it can be addressed as a parameter, use the technique above, otherwise, use the config-element approach which is also referenced in one of my previous posts. Review the contacts plugin plugin.xml file as an example of what you're looking for > https://github.com/apache/cordova-plugin-contacts/blob/master/plugin.xml#L128 <

The options available to solve this problem are referenced in this post > https://software.intel.com/en-us/forums/intel-xdk/topic/737757#comment-1909074 <

Leonidas_S_
New Contributor I
158 Views

you mean Not needed create a info.plist file with xcode.. is created this auto if you setup correctly config.xml... ?

PaulF_IntelCorp
Employee
158 Views

Yes, if you provide the details in the config.xml file it will be inserted into the info.plist file. That's what those PhoneGap Build config-element tags are for, so you don't have to modify those Xcode files directly (because you cannot modify them if you are using PhoneGap Build, because those files are created when the project that will be built is created, in the cloud). The only time you could modify the info.plist file directly is if you were to use Cordova CLI, where you can see the entire Xcode project, in addition to the Cordova project.

Leonidas_S_
New Contributor I
158 Views

I think found something

look at this // already post a question:

https://github.com/EddyVerbruggen/Calendar-PhoneGap-Plugin/issues/302

pertinent to 

cordova-plugin-x-socialsharing

same author of plugin

PaulF_IntelCorp
Employee
158 Views

Eddy has fixed the issue with his calendar plugin, if you look at the plugin.xml file you'll see there is a variable that can be set (which, if he did it correctly, gets transferred to the plist file) > https://github.com/EddyVerbruggen/Calendar-PhoneGap-Plugin/blob/master/plugin.xml#L52 <

However, you're not using the plugin (at least according to the list you gave me), so you should probably post your issue with him on the social-sharing repo, not in the calendar repo. That is, if you are sure that is the source of the problem. Certainly, you can reference the issue in the other plugin to help him understand what you are asking, but you might want to confirm where the problem is coming from.

Leonidas_S_
New Contributor I
158 Views

I added in config.xml the 

<plugin name="cordova-plugin-calendar" spec="4.6.0">
<param name="CALENDAR_USAGE_DESCRIPTION" value="This app uses your calendar" />
</plugin>

 

but at https://github.com/EddyVerbruggen/Calendar-PhoneGap-Plugin says put and below... for Cordova... is Phonegap the same or Not have features tags... And below Not Required?

<!-- for iOS -->
<feature name="Calendar">
    <param name="ios-package" value="Calendar" />
</feature>
PaulF_IntelCorp
Employee
158 Views

Eddy has not updated the README to reflect the current state of the plugin.xml file > https://github.com/EddyVerbruggen/Calendar-PhoneGap-Plugin/blob/master/plugin.xml#L52 < this is what you should do:

<plugin name="cordova-plugin-calendar" spec="4.6.0">
    <param name="CALENDAR_USAGE_DESCRIPTION" value="This app uses your calendar" />
</plugin>

PhoneGap == Cordova

Leonidas_S_
New Contributor I
158 Views

yes and worked already did

thanks

Reply